[116629] users/devans/GNOME-3/stable/dports/gnome/gedit

devans at macports.org devans at macports.org
Fri Jan 31 11:55:02 PST 2014


Revision: 116629
          https://trac.macports.org/changeset/116629
Author:   devans at macports.org
Date:     2014-01-31 11:55:02 -0800 (Fri, 31 Jan 2014)
Log Message:
-----------
GNOME-3/stable/dports: gedit, sync with trunk, update to version 3.10.4, intltool configuration, build deps.

Modified Paths:
--------------
    users/devans/GNOME-3/stable/dports/gnome/gedit/Portfile
    users/devans/GNOME-3/stable/dports/gnome/gedit/files/patch-configure.diff

Added Paths:
-----------
    users/devans/GNOME-3/stable/dports/gnome/gedit/files/autogen.sh

Property Changed:
----------------
    users/devans/GNOME-3/stable/dports/gnome/gedit/


Property changes on: users/devans/GNOME-3/stable/dports/gnome/gedit
___________________________________________________________________
Added: svn:mergeinfo
   + /trunk/dports/gnome/gedit:108265-116598

Modified: users/devans/GNOME-3/stable/dports/gnome/gedit/Portfile
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/gedit/Portfile	2014-01-31 16:19:19 UTC (rev 116628)
+++ users/devans/GNOME-3/stable/dports/gnome/gedit/Portfile	2014-01-31 19:55:02 UTC (rev 116629)
@@ -4,7 +4,7 @@
 PortSystem      1.0
 
 name            gedit
-version         3.10.3
+version         3.10.4
 license         GPL-2
 set branch      [join [lrange [split ${version} .] 0 1] .]
 description     GNOME editor.
@@ -18,12 +18,18 @@
 
 use_xz          yes
 
-checksums       rmd160  73889dcc54f7f4cdf5df0c30f0a061478474a1fa \
-                sha256  d0efec59622061389fcc06d23b88e2621d4d66b4bafe7d4461c1c7d48a54bc82
+checksums       rmd160  0df244792ed9fa2fbfb10423bdae531fb31aa650 \
+                sha256  40dc10b6e26fd8523087e7321a20a063f4c1e586dffd7ce8ee78eead11359f9e
 
 depends_build   port:pkgconfig \
                 port:intltool \
-                port:itstool
+                port:itstool \
+                port:yelp-tools \
+                port:automake \
+                port:autoconf \
+                port:libtool \
+                port:gnome-common \
+                port:gtk-doc
 
 depends_lib     port:desktop-file-utils \
                 port:gnome-icon-theme \
@@ -49,6 +55,14 @@
 patchfiles      patch-configure.diff \
                 patch-gedit-gedit-app.c.diff
 
+# use autogen.sh from upstream git to update intltool.m4 using intltoolize and autoreconf
+
+post-patch {
+    xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
+}
+
+configure.cmd   ./autogen.sh
+
 configure.cflags-append \
                 -Wno-format-nonliteral
 
@@ -57,10 +71,6 @@
                 --disable-schemas-compile \
                 --disable-silent-rules
 
-# libpeas is not universal
-
-universal_variant no
-
 # minimum python version is 3.2.3
 
 variant python32 description {Use python 3.2} {

Added: users/devans/GNOME-3/stable/dports/gnome/gedit/files/autogen.sh
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/gedit/files/autogen.sh	                        (rev 0)
+++ users/devans/GNOME-3/stable/dports/gnome/gedit/files/autogen.sh	2014-01-31 19:55:02 UTC (rev 116629)
@@ -0,0 +1,42 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
+
+OLDDIR=`pwd`
+cd $srcdir
+
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+        echo "*** No autoreconf found, please intall it ***"
+        exit 1
+fi
+
+INTLTOOLIZE=`which intltoolize`
+if test -z $INTLTOOLIZE; then
+        echo "*** No intltoolize found, please install the intltool package ***"
+        exit 1
+fi
+
+GNOMEDOC=`which yelp-build`
+if test -z $GNOMEDOC; then
+        echo "*** The tools to build the documentation are not found,"
+        echo "    please intall the yelp-tools package ***"
+        exit 1
+fi
+
+GTKDOCIZE=`which gtkdocize`
+if test -z $GTKDOCIZE; then
+        echo "*** No GTK-Doc found, please install it ***"
+        exit 1
+fi
+
+git submodule update --init --recursive
+
+gtkdocize || exit $?
+autopoint --force || exit $?
+AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install --verbose
+
+cd $OLDDIR
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"


Property changes on: users/devans/GNOME-3/stable/dports/gnome/gedit/files/autogen.sh
___________________________________________________________________
Added: svn:executable
   + *

Modified: users/devans/GNOME-3/stable/dports/gnome/gedit/files/patch-configure.diff
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/gedit/files/patch-configure.diff	2014-01-31 16:19:19 UTC (rev 116628)
+++ users/devans/GNOME-3/stable/dports/gnome/gedit/files/patch-configure.diff	2014-01-31 19:55:02 UTC (rev 116629)
@@ -1,6 +1,6 @@
---- configure.orig	2013-12-20 08:15:32.000000000 -0800
-+++ configure	2013-12-20 15:02:06.000000000 -0800
-@@ -16556,9 +16556,9 @@
+--- configure.orig	2014-01-21 14:52:42.000000000 -0800
++++ configure	2014-01-29 14:54:13.000000000 -0800
+@@ -16457,9 +16457,9 @@
  
  
  
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20140131/09e53d6c/attachment.html>


More information about the macports-changes mailing list